/*
woot_attack.js
Acquiring a target with weapons online or switching weapons online
while a target is locked is interpreted as a hostile move by NPCs
*/


"use strict";


this.name			= "woot_attack.js";
this.author			= "another_commander";
this.copyright		= "© 2024 another_commander";
this.description	= "Acquiring a target with weapons online or switching weapons online while a target is locked is interpreted as a hostile move by NPCs.";
this.license		= "CC BY-NC-SA 4.0";


this.weaponsSystemsToggled = function (weaponsAreOnline)
{
	if (weaponsAreOnline)
	{
		var playerShipTarget = player.ship.target;
		if (playerShipTarget && playerShipTarget.isShip && playerShipTarget.isPiloted)
		{
			playerShipTarget.addDefenseTarget(player.ship);
			if (!playerShipTarget.target)
			{
				playerShipTarget.AIPrimaryAggressor = player.ship;
				playerShipTarget.reactToAIMessage("ATTACKED");
			}
		}
	}
}


this.shipTargetAcquired = function (shipTarget)
{
	this.weaponsSystemsToggled (player.ship.weaponsOnline);
}
